%define upstream_name	 Catalyst-Action-RenderView
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:	Sensible default end action
License:	Artistic/GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Catalyst) >= 5.70
BuildRequires:	perl(Module::Install)
BuildRequires:	perl(Mouse)
BuildRequires:	perl(Data::Visitor)
BuildRequires:	perl(MRO::Compat)
BuildRequires:	perl(HTTP::Request::AsCGI)
BuildRequires:	perl(namespace::clean)
BuildArch:	noarch

Requires:	perl-Catalyst >= 5.70
Requires:	perl-namespace-clean

%{?perl_default_filter}

%description
This action implements a sensible default end action, which will
forward to the first available view, unless status is set to 3xx, or
there is a response body. It also allows you to pass dump_info=1 to
the url in order to force a debug screen, while in debug mode.

If you have more than 1 view, you can specify which one to use with
the 'default_view' config setting (See view in Catalyst.)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL installdirs=vendor --skipdeps
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst


%changelog
* Sat Oct 19 2024 daviddavid <daviddavid> 0.170.0-3.mga10
+ Revision: 2108437
- rebuild again with fixed perl generator in rpm-mageia-setup-2.80-7.mga10

* Tue Oct 15 2024 daviddavid <daviddavid> 0.170.0-2.mga10
+ Revision: 2107049
- rebuild with fixed perl attr in rpm-mageia-setup-2.80-5.mga10

* Tue Oct 15 2024 tv <tv> 0.170.0-1.mga10
+ Revision: 2106943
- update to 0.17

* Tue Mar 29 2022 umeabot <umeabot> 0.160.0-11.mga9
+ Revision: 1831361
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.160.0-10.mga8
+ Revision: 1492998
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.160.0-9.mga7
+ Revision: 1265940
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-8.mga6
+ Revision: 1022842
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.160.0-7.mga6
+ Revision: 947384
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-6.mga5
+ Revision: 740450
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.160.0-5.mga5
+ Revision: 732858
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.160.0-3.mga4
+ Revision: 509613
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 363836
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 40244
- mageia rebuild
- imported package perl-Catalyst-Action-RenderView

